/*
 * @Description: file content
 * @Author: your name
 * @version: 
 * @Date: 2024-06-17 14:51:26
 * @LastEditors: Ben Lin
 * @LastEditTime: 2024-07-17 04:09:19
 */
import { genMessage } from '../helper';
import antdLocale from 'ant-design-vue/es/locale/zh_CN';
import { deepMerge } from '@/utils';
import { defHttp } from '/@/utils/http/axios';
import { Api } from '../../api/sys/language';

const modules = import.meta.glob('./zh-CN/**/*.{json,ts,js}', { eager: true });

export default {
  message: {
    ...genMessage(modules as Recordable<Recordable>, 'zh-CN'),
    antdLocale: {
      ...antdLocale,
      DatePicker: deepMerge(
        antdLocale.DatePicker,
        genMessage(modules as Recordable<Recordable>, 'zh-CN').antdLocale.DatePicker,
      ),
    },
  },
  apiMessage: {
    ...(await defHttp.get(
      { url: `${Api.GetLanguage}?locale=zh-cn` },
      { isTransformResponse: false },
    )),
    antdLocale,
  },
};
